#
# Conditional build:
%bcond_with	system_libpng	# use system libpng (forces system zlib)
%bcond_with	system_zlib	# use system zlib (included one is slightly more aggressive)
#
%if %{with system_libpng}
%define	system_zlib	1
%endif
Summary:	Optimizer for png files
Summary(pl.UTF-8):	Optymalizator plików png
Summary(pt_BR.UTF-8):	Utilitário para compressão de pngs
Name:		optipng
Version:	0.7.8
Release:	1
License:	BSD, Zlib/libpng
Group:		Applications/Graphics
Source0:	https://downloads.sourceforge.net/optipng/%{name}-%{version}.tar.gz
# Source0-md5:	e340235722cc39ed3b8bc539b9c63f2d
URL:		https://optipng.sourceforge.net/
%{?with_system_libpng:BuildRequires:	libpng-devel >= 2:1.6.40}
%{?with_system_zlib:BuildRequires:	zlib-devel >= 1.3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main purpose of OptiPNG is to *optimize* PNG files, i.e. to reduce
their size to a minimum, without losing any information. In order to
achieve this goal, OptiPNG performs the following tasks:

- It losslessly reduces the bit depth, the color type and the color
  palette of the image. This step reduces the size of the uncompressed
  image, which, indirectly, reduces the size of the compressed image
  (i.e. the size of the PNG file).

- It runs a suite of compression methods and strategies, and selects
  the compression parameters that yield the smallest output file.

%description -l pl.UTF-8
Głównym zadaniem OptiPNG jest optymalizacja plików PNG, tzn.
zmniejszenie ich rozmiaru do minimum bez straty jakichkolwiek
informacji. Aby osiągnąć ten cel stosuje się:

- Bezstratną redukcję głębi kolorów, typu koloru i palety kolorów. Ten
  krok zmniejsza rozmiar nieskompresowanego obrazu, przez co zmniejsza
  się również rozmiar skompresowanego obrazu (czyli wielkość pliku PNG).

- Porównuje się wyniki działania różnych metod i strategii kompresji w
  celu wyboru takich parametrów, które dają najmniejszy rozmiar pliku
  wynikowego.

%prep
%setup -q

%build
./configure \
	-prefix=%{_prefix} \
	-mandir=%{_mandir} \
	%{?with_system_libpng:-with-system-libpng} \
	%{?with_system_zlib:-with-system-zlib}

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt AUTHORS.txt doc/{history.txt,png_optimization.html,todo.txt}
%attr(755,root,root) %{_bindir}/optipng
%{_mandir}/man1/optipng.1*
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/optipng.git;a=log;h=master

* Sun Aug 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 4765fbe
- updated to 0.7.8 (fixes global-buffer-overflow vulnerability in the GIF reader)

* Mon Feb 18 2019 Adam Gołębiowski <adamg@pld-linux.org> dfd6ee0
- updated to 0.7.7

* Fri Sep 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 10d97e5
- updated to 0.7.6

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> b2497d0
- release 2 (by relup.sh)

* Wed Oct 08 2014 Tomasz Pala <gotar@pld-linux.org> fd9feec
- upgraded to 0.7.5

* Fri Oct 25 2013 Łukasz Kieś <kiesiu@pld-linux.org> 7d79693
- updated to 0.7.4

* Fri Dec 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4bbacca
- updated to 0.7.3

* Fri Sep 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1e3297f
- updated to 0.7.2
- updated doc files
- added man page

* Sat Feb 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 9c6befc
- updated to 0.6.4
- bconds to allow system libpng/zlib (disabled by default; internal zlib is compiled as slightly more aggressive)

* Tue Dec 23 2008 wolf <wolf@pld-linux.org> ad5c55a
- 0.6.2

* Sun Apr 29 2007 wolf <wolf@pld-linux.org> 79cf8bc
- 0.5.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ef69605
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e8988e
- converted to UTF-8

* Wed Jul 19 2006 wolf <wolf@pld-linux.org> 1d88236
- 0.5.2

* Sat Feb 04 2006 darekr <darekr@pld-linux.org> 8021c0b
- updated to 0.5

* Thu Jul 07 2005 zbyniu <zbyniu@pld-linux.org> d3f3250
- it have internal libpng

* Fri Jul 01 2005 zbyniu <zbyniu@pld-linux.org> 0f67d1a
- BR: libpng-devel

* Sat Jun 04 2005 wolf <wolf@pld-linux.org> 0ea9e1b
- 0.4.8

* Wed Nov 03 2004 Jakub Bogusz <qboosh@pld-linux.org> aff28e0
- don't strip unconditionally

* Wed Nov 03 2004 wolf <wolf@pld-linux.org> 0e21c6a
- outdated

